#!/usr/bin/env python3

from _gmutils.config import Config
from _gmutils.rotate import rotate, XRAND_ROTATE_MAPPER


def main():
    config = Config()
    rotateValue = config.getString("main", "rotateConsole", "primary")

    if rotateValue == "primary":
        if (
            config.getString("main", "screens", "all") != "all"
            and len(config.getScreenConfigurations()) > 0
        ):
            rotateValue = XRAND_ROTATE_MAPPER[
                config.getScreenConfigurations()[0].getRotation()
            ]
        else:
            rotateValue = "0"

    rotate(rotateValue)


if __name__ == "__main__":
    main()
